#!/usr/bin/env bash

MIN_HILOS=128
MIN_ENTRADAS=16
MIN_TAM_TABLA=512

MAX_HILOS=128
MAX_ENTRADAS=512
MAX_TAM_TABLA=512

ITERACIONES=128000000


echo "Iniciando benchmark, con hasta $MAX_HILOS hilos, $ITERACIONES iteraciones, $MAX_ENTRADAS entradas y $MAX_TAM_TABLA de tamaño máximo de tabla."
if [ ! -f $2 ]; then
    echo "hilos,itera,entrad,tamTabla,nTran,OK,notOk,capac,conflict,explicit,retriable,debug,nested,transTime,lockTime" > ./$2
fi
for ((hilos=MIN_HILOS; hilos<=MAX_HILOS; hilos+=2)); do
        for ((entradas=MIN_ENTRADAS; entradas<=MAX_ENTRADAS; entradas*=2)); do
                for ((tam_tabla=MIN_TAM_TABLA; tam_tabla<=MAX_TAM_TABLA; tam_tabla*=2)); do
                        echo "Con $hilos hilos, $ITERACIONES iteraciones, $entradas entradas y tamaño $tam_tabla."
                        ./$1 $hilos $ITERACIONES $entradas $tam_tabla $2
                done
        done
done
