# Instructions on installing Galois


1. install prerequisite: gcc/g++ > 4.6. Make sure to install a stable release, rather than the newest development
subversion branch to avoid unexpected build errors. I installed gcc-4.8.5 and it works for building Galois-2.2.1

2. install Boost libraries

    ```
    yum install boost boost-devel boost-doc
    ```

3. download Galois version 2.2.1

   ```
   wget http://iss.ices.utexas.edu/projects/galois/downloads/Galois-2.2.1.tar.gz
   ```

4. build galois
    ```
   tar xvf Galois-2.2.1.tar.gz
   cd Galois-2.2.1/build
   mkdir release
   cd release
   cmake ../.. -DCMAKE_CXX_COMPILER=g++ -DCMAKE_C_COMPILER=gcc
   make
   ```

5. run a simple test
   ```
   ../../scripts/run_small.sh
   ```